
QGIS Application - Bug report #11170

Export to OpenLayers3 not working

2014-09-09 08:00 AM - baditaflorin -

Status: Rejected

Priority: Normal

Assignee:

Category: Python plugins

Affected QGIS version:2.4.0 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: invalid

Crashes QGIS or corrupts data:Yes Copied to github as #: 19484

Description

An error has occured while executing Python code:

Traceback (most recent call last):

  File "C:/Users/florin/.qgis2/python/plugins\\ol3\\maindialog.py", line 104, in save

    reply = QtGui.QMessageBox.question(self, "OL3 map correctly exported",

NameError: global name 'QtGui' is not defined

Python version:

2.7.5 (default, May 15 2013, 22:44:16) [MSC v.1500 64 bit (AMD64)]

QGIS version:

2.4.0-Chugiak Chugiak, 8fdd08a

Python path: ['C:/PROGRA~1/QGISCH~1/apps/qgis/./python/plugins\\\\processing',

'C:\\\\Users\\\\florin\\\\.qgis2\\\\python\\\\plugins\\\\GeoCoding', 'C:/PROGRA~1/QGISCH~1/apps/qgis/./python',

u'C:/Users/florin/.qgis2/python', u'C:/Users/florin/.qgis2/python/plugins', 'C:/PROGRA~1/QGISCH~1/apps/qgis/./python/plugins',

'C:\\\\PROGRA~1\\\\QGISCH~1\\\\bin\\\\python27.zip', 'C:\\\\PROGRA~1\\\\QGISCH~1\\\\apps\\\\Python27\\\\DLLs',

'C:\\\\PROGRA~1\\\\QGISCH~1\\\\apps\\\\Python27\\\\lib', 'C:\\\\PROGRA~1\\\\QGISCH~1\\\\apps\\\\Python27\\\\lib\\\\plat-win',

'C:\\\\PROGRA~1\\\\QGISCH~1\\\\apps\\\\Python27\\\\lib\\\\lib-tk', 'C:\\\\PROGRA~1\\\\QGISCH~1\\\\bin',

'C:\\\\PROGRA~1\\\\QGISCH~1\\\\apps\\\\Python27', 'C:\\\\PROGRA~1\\\\QGISCH~1\\\\apps\\\\Python27\\\\lib\\\\site-packages',

'C:\\\\PROGRA~1\\\\QGISCH~1\\\\apps\\\\Python27\\\\lib\\\\site-packages\\\\PIL',

'C:\\\\PROGRA~1\\\\QGISCH~1\\\\apps\\\\Python27\\\\lib\\\\site-packages\\\\jinja2-2.7.2-py2.7.egg',

'C:\\\\PROGRA~1\\\\QGISCH~1\\\\apps\\\\Python27\\\\lib\\\\site-packages\\\\markupsafe-0.23-py2.7-win-amd64.egg',

'C:\\\\PROGRA~1\\\\QGISCH~1\\\\apps\\\\Python27\\\\lib\\\\site-packages\\\\pytz-2012j-py2.7.egg',

'C:\\\\PROGRA~1\\\\QGISCH~1\\\\apps\\\\Python27\\\\lib\\\\site-packages\\\\win32',

'C:\\\\PROGRA~1\\\\QGISCH~1\\\\apps\\\\Python27\\\\lib\\\\site-packages\\\\win32\\\\lib',

'C:\\\\PROGRA~1\\\\QGISCH~1\\\\apps\\\\Python27\\\\lib\\\\site-packages\\\\Pythonwin',

'C:\\\\PROGRA~1\\\\QGISCH~1\\\\apps\\\\Python27\\\\lib\\\\site-packages\\\\Shapely-1.2.18-py2.7-win-amd64.egg',

'C:\\\\PROGRA~1\\\\QGISCH~1\\\\apps\\\\Python27\\\\lib\\\\site-packages\\\\six-1.3.0-py2.7.egg',

'C:\\\\PROGRA~1\\\\QGISCH~1\\\\apps\\\\Python27\\\\lib\\\\site-packages\\\\wx-2.8-msw-unicode',

'C:\\\\PROGRA~1\\\\QGISCH~1\\\\apps\\\\Python27\\\\lib\\\\site-packages\\\\xlrd-0.9.2-py2.7.egg',

'C:\\\\PROGRA~1\\\\QGISCH~1\\\\apps\\\\Python27\\\\lib\\\\site-packages\\\\xlwt-0.7.5-py2.7.egg',

'C:/Users/florin/.qgis2/python/plugins\\\\DataDrivenInputMask', 'C:\\\\Users\\\\florin\\\\.qgis2\\\\python\\\\plugins\\\\mmqgis/forms',

'/usr/share/qgis/python', 'C:\\\\PROGRA~1\\\\QGISCH~1\\\\apps\\\\qgis\\\\python\\\\plugins\\\\fTools\\\\tools',

'C:\\\\Users\\\\florin\\\\.qgis2\\\\python\\\\plugins\\\\SelectTools/tools']

History
#1 - 2014-09-15 06:22 AM - Alexander Bruy

- Resolution set to invalid

- Status changed from Open to Rejected

Please submit bug to plugin bugtracker http://github.com/volaya/qgis-ol3/issues

#2 - 2017-10-16 02:39 PM - Jürgen Fischer

- Description updated
